Package org.drinkless.tdlib

# Class TdApi.AuthorizationStateWaitPremiumPurchase

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuthorizationState
org.drinkless.tdlib.TdApi.AuthorizationStateWaitPremiumPurchase

Enclosing class:
  `TdApi`

public static class TdApi.AuthorizationStateWaitPremiumPurchase extends TdApi.AuthorizationState
The user must buy Telegram Premium as an in-store purchase to log in. Call checkAuthenticationPremiumPurchase and then setAuthenticationPremiumPurchaseTransaction.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AuthorizationState

  `TdApi.AuthorizationState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `premiumDayCount`
  Duration of the Telegram Premium subscription after the purchase; may be 0 if Telegram Premium subscription will not be granted.
  `String`
  `storeProductId`
  Identifier of the store product that must be bought.
  `String`
  `supportEmailAddress`
  Email address to use for support if the user has issues with Telegram Premium purchase.
  `String`
  `supportEmailSubject`
  Subject for the email sent to the support email address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationStateWaitPremiumPurchase()`
  The user must buy Telegram Premium as an in-store purchase to log in.
  `AuthorizationStateWaitPremiumPurchase(String storeProductId, int premiumDayCount, String supportEmailAddress, String supportEmailSubject)`
  The user must buy Telegram Premium as an in-store purchase to log in.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storeProductId

    public String storeProductId
    Identifier of the store product that must be bought.

  - ### premiumDayCount

    public int premiumDayCount
    Duration of the Telegram Premium subscription after the purchase; may be 0 if Telegram Premium subscription will not be granted.

  - ### supportEmailAddress

    public String supportEmailAddress
    Email address to use for support if the user has issues with Telegram Premium purchase.

  - ### supportEmailSubject

    public String supportEmailSubject
    Subject for the email sent to the support email address.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuthorizationStateWaitPremiumPurchase

    public AuthorizationStateWaitPremiumPurchase()
    The user must buy Telegram Premium as an in-store purchase to log in. Call checkAuthenticationPremiumPurchase and then setAuthenticationPremiumPurchaseTransaction.

  - ### AuthorizationStateWaitPremiumPurchase

    public AuthorizationStateWaitPremiumPurchase(String storeProductId, int premiumDayCount, String supportEmailAddress, String supportEmailSubject)
    The user must buy Telegram Premium as an in-store purchase to log in. Call checkAuthenticationPremiumPurchase and then setAuthenticationPremiumPurchaseTransaction.
    Parameters:
      `storeProductId` - Identifier of the store product that must be bought.
      `premiumDayCount` - Duration of the Telegram Premium subscription after the purchase; may be 0 if Telegram Premium subscription will not be granted.
      `supportEmailAddress` - Email address to use for support if the user has issues with Telegram Premium purchase.
      `supportEmailSubject` - Subject for the email sent to the support email address.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AuthorizationState`
    Returns:
      this.CONSTRUCTOR